/**
 * Use this component to trigger a default action when the primary button is clicked and provides a list of actions when the dropdown
 * button is clicked.
 */
import * as ɵngcc0 from '@angular/core';
export declare class CloButtonsSplit {
    /**
     * String value for the ID of the drop down
     */
    dropdownID: string;
    /**
     * Objects for the drop down
     */
    objects: Object[];
    /**
     * String array of attributes for the object passed into the dropdown
     */
    attributes: string[];
    /**
     * String value for the error message
     */
    errorMessage: string;
    /**
     * Boolean value for whether the field is required
     *
     */
    required: boolean;
    selectOption(action: any): void;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloButtonsSplit, never>;
    static ɵcmp: ɵngcc0.ɵɵComponentDeclaration<CloButtonsSplit, "clo-buttons-split", never, { "dropdownID": "dropdownID"; "errorMessage": "errorMessage"; "objects": "objects"; "attributes": "attributes"; "required": "required"; }, {}, never, never>;
}

//# sourceMappingURL=buttons-split.d.ts.map