import { QueryList, EventEmitter } from '@angular/core';
import { NgbModal } from '../../modal/modal.module';
import * as ɵngcc0 from '@angular/core';
export declare class CloApplicationTrayItem {
    /**
     *  The notification type
     *
     *  Available types include ['transit']
     */
    link: string;
    name: string;
    categoryName: string;
    /**
     *  An image url to display for the app
     *
     */
    image: string;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloApplicationTrayItem, never>;
    static ɵdir: ɵngcc0.ɵɵDirectiveDeclaration<CloApplicationTrayItem, "clo-app-tray-item", never, { "link": "link"; "name": "name"; "categoryName": "categoryName"; "image": "image"; }, {}, never>;
}
export declare class CloApplicationTray {
    private modalService;
    items: QueryList<CloApplicationTrayItem>;
    /**
     * URL to the logo image
     */
    unread: string;
    listOfItems: any;
    appListClicked: EventEmitter<any>;
    constructor(modalService: NgbModal);
    open(content: any): void;
    openApplication(categoryName: string, itemName: string): void;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloApplicationTray, never>;
    static ɵcmp: ɵngcc0.ɵɵComponentDeclaration<CloApplicationTray, "clo-app-tray", never, { "unread": "unread"; "listOfItems": "listOfItems"; }, { "appListClicked": "appListClicked"; }, ["items"], never>;
}

//# sourceMappingURL=application-tray.d.ts.map