import { QueryList, OnInit, EventEmitter } from '@angular/core';
import { NgbModal } from '../../modal/modal.module';
import * as ɵngcc0 from '@angular/core';
export declare class CloProfileMenuItem {
    /**
     *  The time from the notification being created to now as a string (ex: '2 minutes ago')
     */
    label: string;
    labelFont: any;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloProfileMenuItem, never>;
    static ɵdir: ɵngcc0.ɵɵDirectiveDeclaration<CloProfileMenuItem, "clo-profile-menu-item", never, { "label": "label"; "labelFont": "labelFont"; }, {}, never>;
}
export declare class CloProfileUser {
    /**
     *  The url for the user's avatar/profile image
     */
    avatarSrc: string;
    /**
     *  The name of the company
     */
    companyName: string;
    /**
     *  The user's title
     */
    title: string;
    /**
     *  The username
     */
    username: string;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloProfileUser, never>;
    static ɵdir: ɵngcc0.ɵɵDirectiveDeclaration<CloProfileUser, "clo-profile-user", never, { "avatarSrc": "avatarSrc"; "companyName": "companyName"; "title": "title"; "username": "username"; }, {}, never>;
}
export declare class CloProfileMenu implements OnInit {
    private modalService;
    items: QueryList<CloProfileMenuItem>;
    user: CloProfileUser;
    profileItemClicked: EventEmitter<any>;
    constructor(modalService: NgbModal);
    open(content: any): void;
    profileMenuItemsClick(item: any): void;
    ngOnInit(): void;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloProfileMenu, never>;
    static ɵcmp: ɵngcc0.ɵɵComponentDeclaration<CloProfileMenu, "clo-profile-menu", never, {}, { "profileItemClicked": "profileItemClicked"; }, ["user", "items"], never>;
}

//# sourceMappingURL=profile-menu.d.ts.map