import { EventEmitter, OnInit } from '@angular/core';
import { IDropdownSettings } from 'ng-multiselect-dropdown/multiselect.model';
import * as ɵngcc0 from '@angular/core';
export declare class CloInputSelectMultiple implements OnInit {
    /**
     * Objects for the drop down
     */
    data: Object[];
    /**
     * Objects for the drop down
     */
    selectedItems: any;
    /**
     * Objects for the drop down
     */
    dropdownSettings: IDropdownSettings;
    /**
     * String value for the placeholder text of the dropdown
     */
    placeholder: any;
    /**
     * String value for the error message
     */
    errorMessage: string;
    /**
     * Form Label for input
     */
    label: string;
    valueChange: EventEmitter<any>;
    defaultSettings: {
        singleSelection: boolean;
        idField: string;
        textField: string;
        selectAllText: string;
        unSelectAllText: string;
        itemsShowLimit: number;
        allowSearchFilter: boolean;
    };
    ngOnInit(): void;
    onSelect(item: any): void;
    onSelectAll(items: any): void;
    onDeselect(item: any): void;
    onDeselectAll(item: any): void;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloInputSelectMultiple, never>;
    static ɵcmp: ɵngcc0.ɵɵComponentDeclaration<CloInputSelectMultiple, "clo-input-select-multiple", never, { "errorMessage": "errorMessage"; "dropdownSettings": "dropdownSettings"; "selectedItems": "selectedItems"; "data": "data"; "placeholder": "placeholder"; "label": "label"; }, { "valueChange": "valueChange"; }, never, never>;
}

//# sourceMappingURL=select-multiple-input.d.ts.map