import { EventEmitter, QueryList } from '@angular/core';
import * as ɵngcc0 from '@angular/core';
export declare class MobileNavItem {
    title: string;
    routerLink: string;
    onClick: EventEmitter<any>;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<MobileNavItem, never>;
    static ɵdir: ɵngcc0.ɵɵDirectiveDeclaration<MobileNavItem, "clo-mobileNav-item", never, { "title": "title"; "routerLink": "routerLink"; }, { "onClick": "onClick"; }, never>;
}
/**
 * The Mobile Navigation [copy].
 */
export declare class MobileNavigationMenu {
    /**
     * type of nav: `back`, `close`
     */
    iconImageType: string;
    /**
     * The router link associated with the icon in the nav
     */
    navigationLink: string;
    /**
     * The heading in the nav
     */
    heading: string;
    /**
     * The sub heading
     */
    subHeading: string;
    onClick: EventEmitter<any>;
    kebabItems: QueryList<MobileNavItem>;
    imageTypes: {
        back: string;
        close: string;
    };
    image: string;
    constructor();
    emitClickEvent($event: any): void;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<MobileNavigationMenu, never>;
    static ɵcmp: ɵngcc0.ɵɵComponentDeclaration<MobileNavigationMenu, "clo-mobile-nav", never, { "iconImageType": "iconImageType"; "navigationLink": "navigationLink"; "heading": "heading"; "subHeading": "subHeading"; }, { "onClick": "onClick"; }, ["kebabItems"], never>;
}

//# sourceMappingURL=mobile-nav.d.ts.map