import { AfterViewInit, ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import * as ɵngcc0 from '@angular/core';
export declare class NgbModalWindow implements OnInit, AfterViewInit, OnDestroy {
    private _document;
    private _elRef;
    private _elWithFocus;
    ariaLabelledBy: string;
    backdrop: boolean | string;
    centered: boolean | string;
    keyboard: boolean;
    scrollable: string;
    size: string;
    windowClass: string;
    shouldAnimate: boolean;
    dismissEvent: EventEmitter<any>;
    constructor(_document: any, _elRef: ElementRef<HTMLElement>);
    backdropClick($event: any): void;
    escKey($event: any): void;
    dismiss(reason: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<NgbModalWindow, never>;
    static ɵcmp: ɵngcc0.ɵɵComponentDeclaration<NgbModalWindow, "ngb-modal-window", never, { "backdrop": "backdrop"; "centered": "centered"; "keyboard": "keyboard"; "ariaLabelledBy": "ariaLabelledBy"; "scrollable": "scrollable"; "size": "size"; "windowClass": "windowClass"; "shouldAnimate": "shouldAnimate"; }, { "dismissEvent": "dismiss"; }, never, ["*"]>;
}

//# sourceMappingURL=modal-window.d.ts.map