import { QueryList } from '@angular/core';
import { CloMobileCard } from './table';
interface Filter {
    value: any;
    title: string;
    attribute: string;
}
export declare class CloFilterTableService {
    private listOfAppliedFilters;
    private tablesSearchableData;
    private searchTerms;
    tableTypeName: any;
    private possibleCardsSource;
    observableMobileCards: import("rxjs").Observable<{}>;
    private appliedFilterSource;
    appliedFilters: import("rxjs").Observable<{}>;
    private searchableStringsSource;
    searchableData: import("rxjs").Observable<{}>;
    private searchFieldTermSource;
    searchFieldTerm: import("rxjs").Observable<{}>;
    private tableObjectsSource;
    tableObjects: import("rxjs").Observable<{}>;
    private mobileSearchSource;
    mobileSearch: import("rxjs").Observable<{}>;
    constructor();
    addMultipleFilters(tableId: string, filters: Filter[]): void;
    addFilter(tableId: string, newFilter: Filter): void;
    removeFilter(tableId: string, oldFilter: Filter): void;
    getFiltersForTable(tableId: string): any;
    private _addFilter;
    private _removeFilter;
    clearFilters(tableId: string): void;
    setSearchableData(tableId: string, data: Array<any>): void;
    updateSearchTerm(searchTerm: any, tableId: any): void;
    clearSearch(tableId: any): void;
    updateMobileCards(tableId: any, mobileCards: QueryList<CloMobileCard>): void;
}
export {};
