/**
 * A configuration service for the [`NgbTabset`](#/components/tabset/api#NgbTabset) component.
 *
 * You can inject this service, typically in your root component, and customize the values of its properties in
 * order to provide default values for all the tabsets used in the application.
 */
import * as ɵngcc0 from '@angular/core';
export declare class NgbTabsetConfig {
    justify: 'start' | 'center' | 'end' | 'fill' | 'justified';
    orientation: 'horizontal' | 'vertical';
    type: 'tabs' | 'pills';
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<NgbTabsetConfig, never>;
}

//# sourceMappingURL=tabset-config.d.ts.map