import { OnDestroy, OnInit } from '@angular/core';
import { Subject, Subscription } from 'rxjs';
import { Router } from '@angular/router';
import { NgbModal } from '../modal/modal.module';
/**
 * A directive that provides indication of the application processing.
 */
import * as ɵngcc0 from '@angular/core';
export declare class NgbdTimeout implements OnDestroy, OnInit {
    private router;
    modalService: NgbModal;
    constructor(router: Router, modalService: NgbModal);
    logoutAfter: number;
    warningDuration: number;
    debugLogoutAfter: number;
    debugWarningDuration: number;
    effectiveLogoutAfter: number;
    effectiveWarningDuration: number;
    userActionOccurred: Subject<void>;
    unsubscribe$: Subject<void>;
    warningTimerSubscription: Subscription;
    logoutTimerSubscription: Subscription;
    modalIsOpen: boolean;
    private timeoutModal;
    navigationLink: string;
    oneMinuteDebug: boolean;
    actionOccurred(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    resetTimers(warningDuration?: number, logoutAfter?: number): void;
    open(): void;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<NgbdTimeout, never>;
    static ɵcmp: ɵngcc0.ɵɵComponentDeclaration<NgbdTimeout, "ngb-timeout", never, { "navigationLink": "navigationLink"; "oneMinuteDebug": "oneMinuteDebug"; }, {}, never, never>;
}

//# sourceMappingURL=timeout.d.ts.map